// Made by Linux_Hat
#include <RF24.h>
#include <SPI.h>
#include <Arduino.h>
#include "radio.h"
#define tunnel "PIPE1"

Radio::Radio(int canal, int pinCE, int pinCSN) {
    m_canal = canal;
    m_pinCE = pinCE;
    m_pinCSN = pinCSN; 
    radio = new RF24(m_pinCE, m_pinCSN);
    const byte adress[6] = tunnel;

    if (!radio->begin()) {
        Serial.println("Error while initialise the NRF module");
        while (1); 
    }
    Serial.println("Radio module initialised");
    radio->openReadingPipe(0, adress);
    radio->setChannel(m_canal); 
    radio->setPALevel(RF24_PA_MIN); 
    radio->startListening();
}

boolean Radio::read() {
    if (radio->available()) {
        radio->read(&message, sizeof(message));
        return true;
    } else {
        return false;
    }
}