// Made by Linux_Hat
#pragma once
#include "motorEncoder.h"

/**
     * @brief Create a new instance of car
     *
     * This constructor initializes the a Car with 2 motors and the distance between 2 wheels.
     *
     * @param m1 ?
     * @param m2
     * @param distance_beetween_motors
     */

class Car {
    private: 
        float m_distance_beetween_motors;// mm
        MotorEncoder* m_left;
        MotorEncoder* m_right;
    public:
        Car(MotorEncoder* left, MotorEncoder* right, float distance_beetween_motors);
        void forward(float distance, double setPoint);
        void turn(float angle, double setPoint);
};